Description

    The following files require JUnit 3.8.1 or 3.8.2, which are no longer in the Beta1 target platforms for JBT/JBDS (since Mars M7).

    jbosstools-base/common/plugins/org.jboss.tools.common.text.xml/META-INF/MANIFEST.MF 
    jbosstools-base/common/tests/org.jboss.tools.common.base.test/META-INF/MANIFEST.MF 
    jbosstools-base/common/tests/org.jboss.tools.common.model.ui.test/META-INF/MANIFEST.MF 
    jbosstools-base/common/tests/org.jboss.tools.common.text.ext.test/META-INF/MANIFEST.MF 
    jbosstools-bpel/tests/org.jboss.tools.bpel.ui.test/META-INF/MANIFEST.MF 
    jbosstools-forge/tests/org.jboss.tools.forge.core.test/META-INF/MANIFEST.MF 
    jbosstools-forge/tests/org.jboss.tools.forge.ui.test/META-INF/MANIFEST.MF 
    jbosstools-hibernate/tests/org.hibernate.eclipse.console.test/META-INF/MANIFEST.MF 
    jbosstools-hibernate/tests/org.hibernate.eclipse.jdt.ui.test/META-INF/MANIFEST.MF 
    jbosstools-hibernate/tests/org.jboss.tools.hibernate.jpt.core.test/META-INF/MANIFEST.MF 
    jbosstools-hibernate/tests/org.jboss.tools.hibernate.ui.test/META-INF/MANIFEST.MF 
    jbosstools-javaee/cdi/tests/org.jboss.tools.cdi.text.ext.test/META-INF/MANIFEST.MF 
    jbosstools-javaee/jsf/tests/org.jboss.tools.jsf.vpe.jstl.test/META-INF/MANIFEST.MF 
    jbosstools-javaee/seam/tests/org.jboss.tools.seam.base.test/META-INF/MANIFEST.MF 
    jbosstools-jst/tests/org.jboss.tools.jst.jsp.base.test/META-INF/MANIFEST.MF 
    jbosstools-portlet/tests/org.jboss.tools.portlet.core.test/META-INF/MANIFEST.MF 
    jbosstools-vpe/tests/org.jboss.tools.vpe.base.test/META-INF/MANIFEST.MF 
    
    jbosstools-base/common/features/org.jboss.tools.common.all.test.feature/feature.xml 
    jbosstools-bpel/features/org.jboss.tools.bpel.test.feature/feature.xml 
    jbosstools-javaee/cdi/features/org.jboss.tools.cdi.deltaspike.test.feature/feature.xml 
    jbosstools-javaee/cdi/features/org.jboss.tools.cdi.seam.test.feature/feature.xml 
    jbosstools-javaee/cdi/features/org.jboss.tools.cdi.test.feature/feature.xml 
    
    jbosstools-javaee/cdi/tests/org.jboss.tools.cdi.core.test/pom.xml 
    jbosstools-javaee/jsf/tests/org.jboss.tools.jsf.vpe.jsf.test/resources/JBIDE5460TestProject/pom.xml 
    jbosstools-vpe/tests/org.jboss.tools.vpe.spring.test/resources/SpringTest/pom.xml 
    

    Can these tests be updated to use JUnit 4.12.0?

    Currently, the coretests build [1] is failing with this error:

    [ERROR]   Software being installed: org.jboss.tools.site.core.tests raw:4.3.0.'SNAPSHOT'/format(n[.n=0;[.n=0;[-S]]]):4.3.0-SNAPSHOT
    [ERROR]   Missing requirement: org.jboss.tools.batch.test.feature.feature.group 1.7.0.Beta1-v20150520-2011-B779 requires 'org.junit [3.8.1,4.0.0)' but it could not be found
    

    [1] https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/jbosstools-build-sites.aggregate.coretests-site_master/4370/console

      Gliffy Diagrams

        Attachments

          Activity

            People

            • Assignee:
              nickboldt Nick Boldt
              Reporter:
              nickboldt Nick Boldt
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: